Summary:	GeoLite IPASNum - IP to AS number translation database for GeoIP
Summary(pl.UTF-8):	GeoLite IPASNum - baza danych tłumaczeń adresów IP na numery AS dla GeoIP
Name:		GeoIP-db-IPASNum
# Updated every month:
Version:	2012.08.02
Release:	1
License:	OPEN DATA LICENSE (see LICENSE.txt)
Group:		Applications/Databases
Source0:	http://www.maxmind.com/download/geoip/database/asnum/GeoIPASNum.dat.gz
# Source0-md5:	bb1800669e8103c880125ec09997d2ab
Source1:	http://www.maxmind.com/download/geoip/database/LICENSE.txt
# Source1-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
URL:		http://www.maxmind.com/app/asnum
Requires:	GeoIP-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains IPv4 to AS number translation database for
GeoIP.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych tłumaczeń adresów IPv4 na numery AS
dla GeoIP.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxWind, dostępne z <http://www.maxwind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

gunzip GeoIPASNum.dat.gz

ver=$(stat -c '%y' GeoIPASNum.dat | awk '{print $1}' | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIPASNum.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%{_datadir}/GeoIP/*.dat
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 969ea31
up to 2012.08.02

* Wed Jul 04 2012 Elan Ruusamäe <glen@pld-linux.org> b1a6fd3
- up to 2012.07.02

* Wed May 09 2012 Elan Ruusamäe <glen@pld-linux.org> 3dfab22
- up to 2012.05.03

* Fri Apr 06 2012 Elan Ruusamäe <glen@pld-linux.org> be8cbeb
- up to 2012-04 release

* Fri Jan 06 2012 Elan Ruusamäe <glen@pld-linux.org> c041f13
- up to 2012.01.02

* Tue Nov 15 2011 Elan Ruusamäe <glen@pld-linux.org> f159bc0
- up to 2011.11.01

* Wed Sep 07 2011 Elan Ruusamäe <glen@pld-linux.org> b7c5c87
- up to 2011.09.02

* Tue Aug 09 2011 Elan Ruusamäe <glen@pld-linux.org> 0d38912
- up to 2011.08.01

* Thu Apr 28 2011 Elan Ruusamäe <glen@pld-linux.org> cb6acb9
- 2011/04 update

* Thu Feb 10 2011 Elan Ruusamäe <glen@pld-linux.org> 3ef82e3
- up to 2011.02.02

* Sun Jan 09 2011 Elan Ruusamäe <glen@pld-linux.org> 71c6c1f
- 2011.01.02

* Wed Dec 08 2010 Elan Ruusamäe <glen@pld-linux.org> 5ab8ca9
- 2010.12.05

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> c2a5a38
- drop outdated desc

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> a4e6805
- up to 2010.12.04

* Wed May 06 2009 amateja <amateja@pld-linux.org> b06169d
- updated to 2009.03.21

* Wed Dec 31 2008 duddits <duddits@pld-linux.org> 71625f5
- up to 2008.11.19

* Sat Aug 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 85e25f8
- pl

* Mon Aug 06 2007 Paweł Gołaszewski <blues@pld-linux.org> 271827a
- md5

* Mon Aug 06 2007 Paweł Gołaszewski <blues@pld-linux.org> e6f3e4f
- City database

